<?php

 				
if($_GET) {
	switch ($_GET['page']){		
/* ===================================   LOGIN/VALIDASI/LOGOUT   =================================== */
		case '' :				
			if(!file_exists ("dashboard.php")) die ("Empty Main Page!"); 
			include "dashboard.php";						
		break;
		case 'halaman-utama' :				
			if(!file_exists ("dashboard.php")) die ("Maaf, Halaman yang anda minta tidak ada!"); 
			include "dashboard.php";						
		break;			
		case 'Login' :				
			if(!file_exists ("settings/login.php")) die ("Maaf, Halaman yang anda minta tidak ada!"); 
			include "settings/login.php";						
		break;
		case 'Login-Validasi' :				
			if(!file_exists ("settings/login_validasi.php")) die ("Maaf, Halaman yang anda minta tidak ada!"); 
			include "settings/login_validasi.php";						
		break;
		case 'Ubah-Password' :				
			if(!file_exists ("settings/ubah_pass.php")) die ("Maaf, Halaman yang anda minta tidak ada!"); 
			include "settings/ubah_pass.php";						
		break;
		case 'Logout' :				
			if(!file_exists ("settings/login_out.php")) die ("Maaf, Halaman yang anda minta tidak ada!"); 
			include "settings/login_out.php";						
		break;
		
//
//
/* ===================================   INFO PKSPL-IPB   =================================== */
		case 'Data-Perusahaan' :				
			if(!file_exists ("home/info_view.php")) die (include('library/404.php')); 
			include "home/info_view.php";	 break;	
		case 'Edit-Perusahaan' :				
			if(!file_exists ("home/info_edit.php")) die (include('library/404.php')); 
			include "home/info_edit.php";	 break;		
/* ===================================   AKHIR INFO PKSPL-IPB   =================================== */
//
//
		
		
		
		
		
		
		
		
		
		
		
		case 'view-detail-barang' :				
			if(!file_exists ("files/home/lihat_detail_barang.php")) die (include('library/404.php')); 
			include "files/home/lihat_detail_barang.php"; break;
/* ===================================   AKHIR LOGIN/VALIDASI/LOGOUT   =================================== */
//
//
/* ===================================   INFO PKSPL-IPB   =================================== */
		case 'Data-Perusahaan' :				
			if(!file_exists ("files/info_view.php")) die (include('library/404.php')); 
			include "files/info_view.php";	 break;	
		case 'Edit-Perusahaan' :				
			if(!file_exists ("files/info_edit.php")) die (include('library/404.php')); 
			include "files/info_edit.php";	 break;		
/* ===================================   AKHIR INFO PKSPL-IPB   =================================== */
//
//
/* ===================================   USER   =================================== */
		case 'aktifitas-pegawai' :				
			if(!file_exists ("files/pegawai/aktifitas-pegawai.php")) die (include('library/404.php')); 
			include "files/pegawai/aktifitas-pegawai.php"; break;		
		case 'data-pegawai' :				
			if(!file_exists ("files/pegawai/pegawai.php")) die (include('library/404.php')); 
			include "files/pegawai/pegawai.php";	 break;		
		case 'add-pegawai' :				
			if(!file_exists ("files/pegawai/pegawai_add.php")) die (include('library/404.php')); 
			include "files/pegawai/pegawai_add.php";	 break;		
		case 'delete-pegawai' :				
			if(!file_exists ("files/pegawai/pegawai_delete.php")) die (include('library/404.php')); 
			include "files/pegawai/pegawai_delete.php"; break;		
		case 'edit-pegawai' :				
			if(!file_exists ("files/pegawai/pegawai_edit.php")) die (include('library/404.php')); 
			include "files/pegawai/pegawai_edit.php"; break;
/* ===================================   AKHIR USER   =================================== */
//
//
/* ===================================   DATA KODEFIKASI DAN PENGGOLONGAN BARANG INVENTARIS IPB   =================================== */
##### DATA GOLONGAN ##############
		case 'golongan' :				
			if(!file_exists ("files/kodefikasi/golongan.php")) die (include('library/404.php')); 
			include "files/kodefikasi/golongan.php"; break;		
		case 'golongan_add' :				
			if(!file_exists ("files/kodefikasi/golongan_add.php")) die (include('library/404.php')); 
			include "files/kodefikasi/golongan_add.php"; break;		
		case 'golongan_delete' :				
			if(!file_exists ("files/kodefikasi/golongan_delete.php")) die (include('library/404.php')); 
			include "files/kodefikasi/golongan_delete.php"; break;		
		case 'golongan_edit' :				
			if(!file_exists ("files/kodefikasi/golongan_edit.php")) die (include('library/404.php')); 
			include "files/kodefikasi/golongan_edit.php"; break;
##### DATA BIDANG ################
		case 'bidang' :				
			if(!file_exists ("files/kodefikasi/bidang.php")) die (include('library/404.php')); 
			include "files/kodefikasi/bidang.php"; break;		
		case 'bidang_add' :				
			if(!file_exists ("files/kodefikasi/bidang_add.php")) die (include('library/404.php')); 
			include "files/kodefikasi/bidang_add.php"; break;		
		case 'bidang_delete' :				
			if(!file_exists ("files/kodefikasi/bidang_delete.php")) die (include('library/404.php')); 
			include "files/kodefikasi/bidang_delete.php"; break;		
		case 'bidang_edit' :				
			if(!file_exists ("files/kodefikasi/bidang_edit.php")) die (include('library/404.php')); 
			include "files/kodefikasi/bidang_edit.php"; break;
##### DATA KELOMPOK ##############
		case 'kelompok' :				
			if(!file_exists ("files/kodefikasi/kelompok.php")) die (include('library/404.php')); 
			include "files/kodefikasi/kelompok.php"; break;		
		case 'kelompok_add' :				
			if(!file_exists ("files/kodefikasi/kelompok_add.php")) die (include('library/404.php')); 
			include "files/kodefikasi/kelompok_add.php"; break;		
		case 'kelompok_delete' :				
			if(!file_exists ("files/kodefikasi/kelompok_delete.php")) die (include('library/404.php')); 
			include "files/kodefikasi/kelompok_delete.php"; break;		
		case 'kelompok_edit' :				
			if(!file_exists ("files/kodefikasi/kelompok_edit.php")) die (include('library/404.php')); 
			include "files/kodefikasi/kelompok_edit.php"; break;
##### DATA SUB KELOMPOK ##########
		case 'subkelompok' :				
			if(!file_exists ("files/kodefikasi/subkelompok.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subkelompok.php"; break;		
		case 'subkelompok_add' :				
			if(!file_exists ("files/kodefikasi/subkelompok_add.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subkelompok_add.php"; break;		
		case 'subkelompok_delete' :				
			if(!file_exists ("files/kodefikasi/subkelompok_delete.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subkelompok_delete.php"; break;		
		case 'subkelompok_edit' :				
			if(!file_exists ("files/kodefikasi/subkelompok_edit.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subkelompok_edit.php"; break;
##### DATA SUB SUB KELOMPOK ######
		case 'subsubkelompok' :				
			if(!file_exists ("files/kodefikasi/subsubkelompok.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subsubkelompok.php"; break;		
		case 'subsubkelompok_add' :				
			if(!file_exists ("files/kodefikasi/subsubkelompok_delete.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subsubkelompok_add.php"; break;		
		case 'subsubkelompok_delete' :				
			if(!file_exists ("files/kodefikasi/subsubkelompok_delete.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subsubkelompok_delete.php"; break;		
		case 'subsubkelompok_edit' :				
			if(!file_exists ("files/kodefikasi/subsubkelompok_edit.php")) die (include('library/404.php')); 
			include "files/kodefikasi/subsubkelompok_edit.php"; break;
			
		case 'multi-delete-barang' :				
			if(!file_exists ("files/barang/multi_delete.php")) die (include('library/404.php')); 
			include "files/barang/multi_delete.php"; break;		
##### DATA INVENTARIS BARANG ##### 
		case 'data-barang' :				
			if(!file_exists ("tabel/tabel_barang_data.php")) die (include('library/404.php')); 
			include "tabel/tabel_barang_data.php"; break;		
		case 'save-barang' :				
			if(!file_exists ("files/barang/barang_save.php")) die (include('library/404.php')); 
			include "files/barang/barang_save.php"; break;		

		case 'add-barang' :				
			if(!file_exists ("files/barang/barang_add.php")) die (include('library/404.php')); 
			include "files/barang/barang_add.php"; break;		

		case 'delete-barang' :				
			if(!file_exists ("files/barang/barang_delete.php")) die (include('library/404.php')); 
			include "files/barang/barang_delete.php"; break;		


		case 'edit-barang' :				
			if(!file_exists ("files/barang/barang_edit.php")) die (include('library/404.php')); 
			include "files/barang/barang_edit.php"; break;		
		
/* ===================================   AKHIR DARI DATA KODEFIKASI DAN PENGGOLONGAN  BARANG INVENTARIS IPB   =================================== */
//
//
/* ===================================   DATA TOKO/SUPLIER   =================================== */
		case 'data-supplier' :				
			if(!file_exists ("files/supplier/data_supplier.php")) die (include('library/404.php')); 
			include "files/supplier/data_supplier.php";	 break;		
		
		
		case 'add-supplier' :				
			if(!file_exists ("files/supplier/supplier_add.php")) die (include('library/404.php')); 
			include "files/supplier/supplier_add.php";	 break;		
		case 'view-supplier' :				
			if(!file_exists ("files/supplier/supplier_view.php")) die (include('library/404.php')); 
			include "files/supplier/supplier_view.php";	 break;	
		case 'delete-supplier' :				
			if(!file_exists ("files/supplier/supplier_delete.php")) die (include('library/404.php')); 
			include "files/supplier/supplier_delete.php"; break;		
		case 'edit-supplier' :				
			if(!file_exists ("files/supplier/supplier_edit.php")) die (include('library/404.php')); 
			include "files/supplier/supplier_edit.php"; break;	
/* ===================================   AKHIR DATA TOKO/SUPLIER   =================================== */
//
//
/* ===================================   DATA GEDUNG DAN RUANGAN   =================================== */
		case 'ruangan' :				
			if(!file_exists ("files/ruangan/ruangan.php")) die (include('library/404.php')); 
			include "files/ruangan/ruangan.php"; break;		
		case 'ruangan-add' :				
			if(!file_exists ("files/ruangan/ruangan_add.php")) die (include('library/404.php')); 
			include "files/ruangan/ruangan_add.php"; break;		
		case 'ruangan_delete' :				
			if(!file_exists ("files/ruangan/ruangan_delete.php")) die (include('library/404.php')); 
			include "files/ruangan/ruangan_delete.php"; break;		
		case 'ruangan_edit' :				
			if(!file_exists ("files/ruangan/ruangan_edit.php")) die (include('library/404.php')); 
			include "files/ruangan/ruangan_edit.php"; break;
/* ===================================   AKHIR DATA GEDUNG DAN RUANGAN   =================================== */
//
//
/* ===================================   DATA USER INSIDE   =================================== */
		case 'user-lapor' :				
			if(!file_exists ("files/home/user/user_lapor.php")) die (include('library/404.php')); 
			include "files/home/user/user_lapor.php"; break;
		case 'user-feedback' :				
			if(!file_exists ("files/home/user/user_feedback.php")) die (include('library/404.php')); 
			include "files/home/user/user_feedback.php"; break;
			
//		case 'view-my-barang' :				
//			if(!file_exists ("files/home/all_user_barang_view.php")) die (include('library/404.php')); 
//			include "files/home/all_user_barang_view.php"; break;
//			
			
			
/* ===================================   AKHIR DATA DATA USER INSIDE   =================================== */
//
//
/* ===================================   DATA KADIV INSIDE   =================================== */
		case 'kadiv-approval' :				
			if(!file_exists ("files/home/kadiv/kadiv_appoval.php")) die (include('library/404.php')); 
			include "files/home/kadiv/kadiv_appoval.php"; break;
/* ===================================   AKHIR DATA KADIV INSIDE   =================================== */
//
//
/* ===================================   DATA OPERATOR INSIDE   =================================== */
		case 'operator-report' :				
			if(!file_exists ("files/home/operator/operator_report.php")) die (include('library/404.php')); 
			include "files/home/operator/operator_report.php"; break;
/* ===================================   AKHIR DATA OPERATOR INSIDE   =================================== */
//
//
/* ===================================   DATA RAME-RAME   =================================== */
		case 'status-barang' :				
			if(!file_exists ("files/status/index.php")) die (include('library/404.php')); 
			include "files/status/index.php"; break;
/* ===================================   AKHIR DATA RAME-RAME   =================================== */
//
//
/* ===================================   DATA LAPORAN / CETAK / PDF / EXCEL / PRINT   =================================== */
##### FILE PDF #####
		case 'frame-dib' :				
			if(!file_exists ("files/laporan/frame/frame_dib.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_dib.php"; break;			

		case 'frame-dir' :				
			if(!file_exists ("files/laporan/frame/frame_dir.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_dir.php"; break;			

		case 'frame-barang-rusak' :				
			if(!file_exists ("files/laporan/frame/frame_barang_rusak.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_barang_rusak.php"; break;			


##### LAPORAN PEMBELIAN #####
		case 'pembelian' :				
			if(!file_exists ("tabel/tabel_pembelian.php")) die (include('library/404.php')); 
			include "tabel/tabel_pembelian.php"; break;		

		case 'rekap-pembelian-pilihan' :				
			if(!file_exists ("tabel/tabel_pembelian_pilihan.php")) die (include('library/404.php')); 
			include "tabel/tabel_pembelian_pilihan.php"; break;			
///// PDF
		case 'pdf-pembelian' :				
			if(!file_exists ("files/laporan/frame/frame_pembelian.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_pembelian.php"; break;			

		case 'pdf-pembelian-pilihan' :				
			if(!file_exists ("files/laporan/frame/frame_pembelian_pilihan.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_pembelian_pilihan.php"; break;		
			
			
			
##### LAPORAN PERIODE #####
		case 'periode' :				
			if(!file_exists ("tabel/tabel_periode.php")) die (include('library/404.php')); 
			include "tabel/tabel_periode.php"; break;			

		case 'periode-pilihan' :				
			if(!file_exists ("tabel/tabel_periode_pilihan.php")) die (include('library/404.php')); 
			include "tabel/tabel_periode_pilihan.php"; break;			
///PDF
		case 'pdf-periode' :				
			if(!file_exists ("files/laporan/frame/frame_periode.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_periode.php"; break;			

		case 'pdf-periode-pilihan' :				
			if(!file_exists ("files/laporan/frame/frame_periode_pilihan.php")) die (include('library/404.php')); 
			include "files/laporan/frame/frame_periode_pilihan.php"; break;			




##### LAPORAN PER RUANGAN #####
		case 'dib-per-ruangan' :				
			if(!file_exists ("files/laporan/ruangan/dib_per_ruangan.php")) die (include('library/404.php')); 
			include "files/laporan/ruangan/dib_per_ruangan.php"; break;			
		
		case 'dib-ruangan' :				
			if(!file_exists ("files/laporan/ruangan/lap_dib_ruangan.php")) die (include('library/404.php')); 
			include "files/laporan/ruangan/lap_dib_ruangan.php"; break;			

##### LAPORAN PER PENGGUNA #####
		case 'dib-per-pengguna' :				
			if(!file_exists ("files/laporan/pengguna/dib_per_pengguna.php")) die (include('library/404.php')); 
			include "files/laporan/pengguna/dib_per_pengguna.php"; break;			
		
		case 'laporan-pengguna' :				
			if(!file_exists ("files/laporan/pengguna/lap_pengguna_barang.php")) die (include('library/404.php')); 
			include "files/laporan/pengguna/lap_pengguna_barang.php"; break;			

		case 'grafik' :				
			if(!file_exists ("files/grafik/index.php")) die (include('library/404.php')); 
			include "files/grafik/index.php"; break;			

			
		case 'view-my-report' :				
			if(!file_exists ("files/home/user/myreport.php")) die (include('library/404.php')); 
			include "files/home/user/myreport.php"; break;

		case 'useractivity' :				
			if(!file_exists ("tabel/tabel_user_act.php")) die (include('library/404.php')); 
			include "tabel/tabel_user_act.php"; break;
			
##### LAPORAN HAPUS BARANG #####
		case 'barang-hapus' :				
			if(!file_exists ("tabel/tabel_barang_hapus.php")) die (include('library/404.php')); 
			include "tabel/tabel_barang_hapus.php"; break;			
			
##### LAPORAN KERUSAKAN BARANG #####
		case 'barang-rusak' :				
			if(!file_exists ("tabel/tabel_barang_rusak.php")) die (include('library/404.php')); 
			include "tabel/tabel_barang_rusak.php"; break;			
			
			
/* ===================================   AKHIR DATA RAME-RAME   =================================== */
//
//
		case 'sys-act' :				
			if(!file_exists ("tabel/tabel_sys_act.php")) die (include('library/404.php')); 
			include "tabel/tabel_sys_act.php"; break;

		case 'aktivitas-user' :				
			if(!file_exists ("tabel/tabel_aktivitas_user.php")) die (include('library/404.php')); 
			include "tabel/tabel_aktivitas_user.php"; break;







		# BACKUP DAN RESTORE DATASBE
		case 'backup-db' :				
			if(!file_exists ("backup/backup.php")) die (include('library/404.php')); 
			include "backup/backup.php";	 break;
		case 'restore-db' :				
			if(!file_exists ("backup/restore.php")) die (include('library/404.php')); 
			include "backup/restore.php";	 break;
		
/* ===================================   ATK   =================================== */
		case 'barang-habis-pakai' :				
			if(!file_exists ("tabel/tabel_barang_habis_pakai.php")) die (include('library/404.php')); 
			include "tabel/tabel_barang_habis_pakai.php"; break;




		case 'persediaan' :				
			if(!file_exists ("files/persediaan/persediaan.php")) die (include('library/404.php')); 
			include "files/persediaan/persediaan.php"; break;

		case 'atk-add' :				
			if(!file_exists ("files/atk/atk_add.php")) die (include('library/404.php')); 
			include "files/atk/atk_add.php"; break;

		case 'list-persediaan-edit' :				
			if(!file_exists ("files/persediaan/list_persediaan_edit.php")) die (include('library/404.php')); 
			include "files/persediaan/list_persediaan_edit.php"; break;

		case 'list-persediaan-delete' :				
			if(!file_exists ("files/persediaan/list_persediaan_delete.php")) die (include('library/404.php')); 
			include "files/persediaan/list_persediaan_delete.php"; break;

		case 'list-persediaan-add' :				
			if(!file_exists ("files/persediaan/list_persediaan_add.php")) die (include('library/404.php')); 
			include "files/persediaan/list_persediaan_add.php"; break;



		case 'list-kegiatan-edit' :				
			if(!file_exists ("files/kegiatan/list_kegiatan_edit.php")) die (include('library/404.php')); 
			include "files/kegiatan/list_kegiatan_edit.php"; break;

		case 'list-kegiatan-delete' :				
			if(!file_exists ("files/kegiatan/list_kegiatan_delete.php")) die (include('library/404.php')); 
			include "files/kegiatan/list_kegiatan_delete.php"; break;

		case 'list-kegiatan-add' :				
			if(!file_exists ("files/kegiatan/list_kegiatan_add.php")) die (include('library/404.php')); 
			include "files/kegiatan/list_kegiatan_add.php"; break;
			
/* ===================================   AKHIR DATA ATK   =================================== */

/* ===================================   PINJAM ALAT   =================================== */
		case 'pinjam-alat' :				
			if(!file_exists ("files/pinjamalat/pinjam_alat.php")) die (include('library/404.php')); 
			include "files/pinjamalat/pinjam_alat.php"; break;


		case 'save-pinjam-alat' :				
			if(!file_exists ("files/pinjamalat/save_pinjam_alat.php")) die (include('library/404.php')); 
			include "files/pinjamalat/save_pinjam_alat.php"; break;
/* ===================================   AKHIR PINJAM ALAT   =================================== */

	
		default:
			if(!file_exists ("dashboard.php")) die ("Empty Main Page!"); 
			include "dashboard.php";						
		break;
	}
}

?>